JBoss API: Class Level

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class Level

    java.lang.Object
      |
      +--org.jboss.jms.ra.Level

public class Level
extends java.lang.Object

Level.java Created: Tue Apr 17 21:26:13 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Field Summary
`static Level` | `ALL`
`static Level` | `CONFIG`
`static Level` | `FINE`
`static Level` | `INFO`
`static Level` | `OFF`
`static Level` | `SEVERE`
`static Level` | `WARNING`

Constructor Summary
`protected` | `Level(java.lang.String name, int value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `intValue()`
`static Level` | `parse(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final Level OFF

### SEVERE

    public static final Level SEVERE

### WARNING

    public static final Level WARNING

### INFO

    public static final Level INFO

### CONFIG

    public static final Level CONFIG

### FINE

    public static final Level FINE

### ALL

    public static final Level ALL

Constructor Detail

### Level

    protected Level(java.lang.String name,
                    int value)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### intValue

    public final int intValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### parse

    public static Level parse(java.lang.String name)
                       throws java.lang.IllegalArgumentException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.